Create a custom field for an organization
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "dropdown",
"configuration": {
"values": [
{
"id": "option_1",
"value": "Option 1",
"group": "<string>"
}
]
},
"attributeName": "foo bar",
"attributeCode": "employee_id"
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom"
payload = {
"kind": "dropdown",
"configuration": { "values": [
{
"id": "option_1",
"value": "Option 1",
"group": "<string>"
}
] },
"attributeName": "foo bar",
"attributeCode": "employee_id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'dropdown',
configuration: {values: [{id: 'option_1', value: 'Option 1', group: '<string>'}]},
attributeName: 'foo bar',
attributeCode: 'employee_id'
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity/fields/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"uniqueName": "custom_text_field",
"name": "Foo bar",
"kind": "dropdown",
"serviceSource": {
"workspaceId": 1,
"serviceFieldId": "smarthr_city"
},
"serviceDetails": {
"id": 33,
"name": "SmartHR",
"uniqueName": "smarthr",
"serviceTopUrl": "https://smarthr.jp/"
},
"configuration": {
"values": [
{
"id": "option_1",
"value": "Option 1",
"group": "<string>",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
],
"groups": [
{
"value": "phone",
"label": {
"ja": "こんにちは",
"en": "Hello"
}
}
]
},
"required": true
}Directory
Create a custom field for an organization
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
identity
/
fields
/
custom
Create a custom field for an organization
承認
パスパラメータ
ボディ
application/json
利用可能なオプション:
text, textarea, date, number, dropdown, email 例:
"dropdown"
Show child attributes
Show child attributes
例:
"foo bar"
Show child attributes
Show child attributes
Unique identifier for the custom field. Must contain only lowercase letters, numbers, and underscores. If not provided, will be auto-generated.
例:
"employee_id"
レスポンス
例:
1
例:
"custom_text_field"
例:
"Foo bar"
利用可能なオプション:
text, textarea, date, number, dropdown, email 例:
"dropdown"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This field will be always false in R1
例:
true
最終更新日 2026年7月14日
⌘I

